Holger's Java API

## com.antelmann.math
Class LengthUnit

    java.lang.Object
      com.antelmann.math.DefaultUnit
          com.antelmann.math.BaseUnit
              com.antelmann.math.LengthUnit

All Implemented Interfaces:
  Unit, Localizable, Serializable

    public class LengthUnit

extends BaseUnit

length unit with conversion capabilities

Since:
  09.10.2014, 01:07:40
Author:
  holger
See Also:
  `SIBaseUnit.METER`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.util.Localizable
`Localizable.Adapter`

Field Summary
`static LengthUnit` `CM`
`static LengthUnit` `DM`
`static LengthUnit` `FEET`
`static LengthUnit` `INCH`
`static LengthUnit` `KM`
`static LengthUnit` `LIGHTYEAR`
`static LengthUnit` `METER`
`static LengthUnit` `MILE`
`static LengthUnit` `MM`
`static LengthUnit` `NMILE`
`static LengthUnit` `YARD`

Fields inherited from class com.antelmann.math.BaseUnit
`CONVERTER`

Fields inherited from class com.antelmann.math.DefaultUnit
`name, symbol`

Constructor Summary
`LengthUnit(String symbol, String name, Number factor)`

Method Summary
`static LengthUnit` `fromSymbol(String symbol)`
`static LengthUnit[]` `getAll()`
`static LengthUnit[]` `getMetricValues()`

Methods inherited from class com.antelmann.math.BaseUnit
`convert, convert, fromBaseUnit, getBase, toBaseUnit, toBaseUnit`

Methods inherited from class com.antelmann.math.DefaultUnit
`equals, getLocale, getUnitName, getUnitSymbol, hashCode, setLocale, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### METER

    public static final LengthUnit METER

### KM

    public static final LengthUnit KM

### DM

    public static final LengthUnit DM

### CM

    public static final LengthUnit CM

### MM

    public static final LengthUnit MM

### YARD

    public static final LengthUnit YARD

### FEET

    public static final LengthUnit FEET

### INCH

    public static final LengthUnit INCH

### MILE

    public static final LengthUnit MILE

### NMILE

    public static final LengthUnit NMILE

### LIGHTYEAR

    public static final LengthUnit LIGHTYEAR

Constructor Detail

### LengthUnit

    public LengthUnit(String symbol,
                      String name,
                      Number factor)

Method Detail

### getAll

    public static LengthUnit[] getAll()

### getMetricValues

    public static LengthUnit[] getMetricValues()

### fromSymbol

    public static LengthUnit fromSymbol(String symbol)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads